Has Claimed Event
curl --request GET \
--url https://tokens.shakesco.com/has-claimed-event \
--header 'Authorization: Bearer <token>'import requests
url = "https://tokens.shakesco.com/has-claimed-event"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tokens.shakesco.com/has-claimed-event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{ "has_claimed": true }
Read & Query
Has Claimed Event
Check whether a customer has already claimed a specific event
GET
/
has-claimed-event
Has Claimed Event
For the complete documentation index, see llms.txt.
Use this before calling
/claim-tokens for one-time events (events configured with should_not_claim_twice: true). Lets you avoid the 409 Event already claimed response.
Query Parameters
Your unique identifier for this customer
The event identifier you want to check
Response
true if the customer has already claimed this eventconst res = await fetch(
"https://tokens.shakesco.com/has-claimed-event?customer_ref=customer-123&event_name=signup",
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
const { has_claimed } = await res.json();
{ "has_claimed": true }
⌘I